import {
  ContentTypeParams,
  LangParams,
  PageArgs,
  UIDParams,
} from "@/types/params"

export default async function PreviewPage({
  params,
  searchParams,
}: PageArgs<LangParams & ContentTypeParams & UIDParams, {}>) {
  return (
    <div>
      <p>
        Preview for {params.contentType}:{params.uid} in {params.lang} with
        params <pre>{JSON.stringify(searchParams, null, 2)}</pre> goes here
      </p>
    </div>
  )
}
